# Uses of Enum Class
org.apache.lucene.codecs.uniformsplit.IntersectBlockReader.BlockIteration

Packages that use IntersectBlockReader.BlockIteration
Package
Description
org.apache.lucene.codecs.uniformsplit
Pluggable term index / block terms dictionary implementations.

- ## Uses of IntersectBlockReader.BlockIteration in org.apache.lucene.codecs.uniformsplit

  Fields in org.apache.lucene.codecs.uniformsplit declared as IntersectBlockReader.BlockIteration
  Modifier and Type
  Field
  Description
  `protected IntersectBlockReader.BlockIteration`
  IntersectBlockReader.`blockIteration`
  Block iteration order determined when scanning the terms in the current block.
  Methods in org.apache.lucene.codecs.uniformsplit that return IntersectBlockReader.BlockIteration
  Modifier and Type
  Method
  Description
  `static IntersectBlockReader.BlockIteration`
  IntersectBlockReader.BlockIteration.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IntersectBlockReader.BlockIteration[]`
  IntersectBlockReader.BlockIteration.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.